org.apache.commons.logging

## Class LogFactoryService

- java.lang.Object
- - org.apache.commons.logging.LogFactory
  - - org.apache.commons.logging.LogFactoryService

Deprecated.
since it is only meant to be used in the above-mentioned fallback scenario

    @Deprecated
    public class LogFactoryService
    extends LogFactory

A minimal subclass of the standard Apache Commons Logging's `LogFactory` class, overriding the abstract `getInstance` lookup methods. This is just applied in case of the standard `commons-logging` jar accidentally ending up on the classpath, with the standard `LogFactory` class performing its META-INF service discovery. This implementation simply delegates to Spring's common `Log` factory methods.

Since:
  5.1
Author:
  Juergen Hoeller

### Constructor Summary

Constructors
Constructor and Description
`LogFactoryService()` Deprecated.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`Object` `getAttribute(String name)` Deprecated.
`String[]` `getAttributeNames()` Deprecated.
`Log` `getInstance(Class<?> clazz)` Deprecated. Convenience method to return a named logger.
`Log` `getInstance(String name)` Deprecated. Convenience method to return a named logger.
`void` `release()` Deprecated.
`void` `removeAttribute(String name)` Deprecated.
`void` `setAttribute(String name, Object value)` Deprecated.

### Methods inherited from class org.apache.commons.logging.LogFactory

`getFactory, getLog, getLog`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LogFactoryService

    public LogFactoryService()

Deprecated.

### Method Detail

#### getInstance

    public Log getInstance(Class<?> clazz)

Deprecated.
Description copied from class: `LogFactory`
Convenience method to return a named logger.

This variant just dispatches straight to `LogFactory.getLog(Class)`.

Overrides:
  `getInstance` in class `LogFactory`
Parameters:
  `clazz` - containing Class from which a log name will be derived

#### getInstance

    public Log getInstance(String name)

Deprecated.
Description copied from class: `LogFactory`
Convenience method to return a named logger.

This variant just dispatches straight to `LogFactory.getLog(String)`.

Overrides:
  `getInstance` in class `LogFactory`
Parameters:
  `name` - logical name of the `Log` instance to be returned

#### setAttribute

    public void setAttribute(String name,
                             Object value)

Deprecated.

#### removeAttribute

    public void removeAttribute(String name)

Deprecated.

#### getAttribute

    public Object getAttribute(String name)

Deprecated.

#### getAttributeNames

    public String[] getAttributeNames()

Deprecated.

#### release

    public void release()

Deprecated.